<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateSNMPMIB2ListRes StructType
 * @subpackage Structs
 */
class UpdateSNMPMIB2ListRes extends APIResponse
{
    /**
     * The message
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * @var string
     */
    public $message;
    /**
     * Constructor method for UpdateSNMPMIB2ListRes
     * @uses UpdateSNMPMIB2ListRes::setMessage()
     * @param string $message
     */
    public function __construct($message = null)
    {
        $this
            ->setMessage($message);
    }
    /**
     * Get message value
     * @return string|null
     */
    public function getMessage()
    {
        return $this->message;
    }
    /**
     * Set message value
     * @param string $message
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateSNMPMIB2ListRes
     */
    public function setMessage($message = null)
    {
        $this->message = $message;
        return $this;
    }
}
